Jump to content
Zeron

Open VM Tools for unRAID 6

263 posts in this topic Last Reply

Recommended Posts

openVMTools_compiled is now listed in Community Applications.  You will need to delete your current plugin and install from CA if you wish to get update notifications.

 

Thanks @Squid for all of your help!

Share this post


Link to post

FYI - I am having quite a bit of difficulty getting open-vm-tools to compile on the new kernel in 6.8.0-rc1.  Hopefully I will have time to work on it again next week.

Share this post


Link to post

openVMTools_compiled has been updated to support unRAID 6.8.0-rc4.  Please use Community Applications to install or upgrade.

Share this post


Link to post

openVMTools_compiled has been updated to support unRAID 6.8.0-rc5.  Please use Community Applications to install or upgrade.

Share this post


Link to post

openVMTools_compiled has been updated to support unRAID 6.8.0-rc6.  Please use Community Applications to install or upgrade.

Share this post


Link to post

openVMTools_compiled has been updated to support unRAID 6.8.0-rc7.  Please use Community Applications to install or upgrade.

Share this post


Link to post

openVMTools_compiled has been updated to support unRAID 6.8.0-rc8.  Please use Community Applications to install or upgrade.

Share this post


Link to post
Posted (edited)

hi Steven,

 

i do run unRAID as VM under Proxmox v6.x and it uses a qemu-agent to talk to the hypervisor.

so my question would be: do you see a way of compiling the necessary QEMU-Agent for unRAID, or is this out of question?

a quick search for slackware based QEMU agent showed this for example:

https://slackbuilds.org/repository/14.2/system/qemu-guest-agent/

 

that would be really great and very much appreaciated – and it would offer one more integration of unRAID into another great hypervisor (which is free and has no artifical limitations).

 

and btw. happy new year to ya! 🙂

Edited by s.Oliver

Share this post


Link to post
Posted (edited)

@StevenD thanks a lot! :D
There is no kind of configuration required, right?

Edited by cholzer

Share this post


Link to post
2 hours ago, cholzer said:

@StevenD thanks a lot! :D
There is no kind of configuration required, right?

Nope.  None at all.  it just needs the plugin and the three packages that the plugin installs. 
 

One of these days I may try to figure how how to do an options page, like for NTP, but that’s somewhat beyond my knowledge. 

Share this post


Link to post

Can you update libffi? It seems to be breaking unraids plugin ui when I update it with nerd tools. Or is there a way to handle the updating with nerd tools?

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.